export const authConstant = {
     LOGIN_REQUEST: 'LOGIN_REQUEST',
     LOGIN_SUCCESS: 'LOGIN_SUCCESS',
     LOGIN_FAILURE: 'LOGIN_FAILURE',
     LOGOUT_REQUEST: 'LOGOUT_REQUEST',
     LOGOUT_SUCCESS: 'LOGOUT_SUCCESS',
     LOGOUT_FAILURE: 'LOGOUT_FAILURE'
}


export const userConstant = {
     USER_REGISTER_REQUEST: 'USER_REGISTER_REQUEST',
     USER_REGISTER_SUCCESS: 'USER_REGISTER_SUCCESS',
     USER_REGISTER_FAILURE: 'USER_REGISTER_FAILURE',
     // LOGOUT_REQUEST:'LOGOUT_REQUEST',
}

export const categoryConstant = {
     GET_ALL_CATEGORIES_REQUEST: 'GET_ALL_CATEGORIES_REQUEST',
     GET_ALL_CATEGORIES_SUCCESS: 'GET_ALL_CATEGORIES_SUCCESS',
     GET_ALL_CATEGORIES_FAILURE: 'GET_ALL_CATEGORIES_FAILURE',


     ADD_NEW_CATEGORY_REQUEST:'ADD_NEW_CATEGORY_REQUEST',
     ADD_NEW_CATEGORY_SUCCESS:'ADD_NEW_CATEGORY_SUCCESS',
     ADD_NEW_CATEGORY_FAILURE:'ADD_NEW_CATEGORY_FAILURE'
     
}

export const productConstant = {
     GET_ALL_PRODUCTS_REQUEST: 'GET_ALL_PRODUCTS_REQUEST',
     GET_ALL_PRODUCTS_SUCCESS: 'GET_ALL_PRODUCTS_SUCCESS',
     GET_ALL_PRODUCTS_FAILURE: 'GET_ALL_PRODUCTS_FAILURE',
}


export const initialDataConstant = {
     GET_ALL_INITIAL_DATA_REQUEST: 'GET_ALL_INITIAL_DATA_REQUEST',
     GET_ALL_INITIAL_DATA_SUCCESS: 'GET_ALL_INITIAL_DATA_SUCCESS',
     GET_ALL_INITIAL_DATA_FAILURE: 'GET_ALL_INITIAL_DATA_FAILURE',
}

export const mqttConstant = {
     GET_ALL_MQTT_REQUEST: 'GET_ALL_MQTT_REQUEST',
     GET_ALL_MQTT_SUCCESS: 'GET_ALL_MQTT_SUCCESS',
     GET_ALL_MQTT_FAILURE: 'GET_ALL_MQTT_FAILURE',
 
     ADD_NEW_MQTT_REQUEST:'ADD_NEW_MQTT_REQUEST',
     ADD_NEW_MQTT_SUCCESS:'ADD_NEW_MQTT_SUCCESS',
     ADD_NEW_MQTT_FAILURE:'ADD_NEW_MQTT_FAILURE'
 }
 
 export const userOnlyConstant = {
     GET_USERS_ONLY_REQUEST:'GET_USERS_ONLY_REQUEST',
     GET_USERS_ONLY_SUCCESS:'GET_USERS_ONLY_SUCCESS',
     GET_USERS_ONLY_FAILURE:'GET_USERS_ONLY_FAILURE'
 }